<bugID>868026<Summary>[Session Restore] Remove window.__SS_dyingCache and replace it with some appropriate use of WeakMap</Summary><Description>window.__SS_dyingCache seems to be used to retain the state of a Window between the time it is closed and the time it is actually removed. Not only does this complicate the window objects, but I have seen leaks causes by this.

I believe that we should replace this by an appropriate use of WeakMap.</Description></bugID>